<?php
namespace AkTest\Test;

use Ak\Test\AbstractTestCase;
use Ak\Test\ValidatorTestTrait;
use Laminas\Validator\ValidatorInterface;
use Laminas\Validator\ValidatorPluginManager;

/**
 * Class ValidatorTestTraitTest
 *
 * @package AkTest\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/test
 */
class ValidatorTestTraitTest extends AbstractTestCase
{
    use ValidatorTestTrait;

    public $configProviders = [
        \Laminas\Validator\ConfigProvider::class,
    ];

    public function testCanCreateValidatorManager()
    {
        $manager = $this->getValidatorManager();

        $this->assertInstanceOf(ValidatorPluginManager::class, $manager);
    }

    public function testCanCreateValidator()
    {
        $validator = $this->getValidator('notempty');

        $this->assertInstanceOf(ValidatorInterface::class, $validator);
    }
}
